> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# डेटा डिक्शनरी

> X API v2 ऑब्जेक्ट्स के लिए पूर्ण फ़ील्ड संदर्भ

X API पोस्ट्स, उपयोगकर्ताओं, मीडिया आदि का प्रतिनिधित्व करने वाले संरचित JSON ऑब्जेक्ट लौटाता है। यह संदर्भ हर ऑब्जेक्ट type के लिए उपलब्ध प्रत्येक फ़ील्ड का विवरण देता है।

***

<div id="quick-navigation">
  ## त्वरित नेविगेशन
</div>

| ऑब्जेक्ट                     | विवरण                               | फ़ील्ड्स पैरामीटर |
| :--------------------------- | :---------------------------------- | :---------------- |
| [पोस्ट (Tweet)](#post-tweet) | पोस्ट्स, जवाब, रीपोस्ट और कोट पोस्ट | `tweet.fields`    |
| [उपयोगकर्ता](#user)          | अकाउंट प्रोफ़ाइल और मेटाडेटा        | `user.fields`     |
| [स्पेस](#space)              | लाइव ऑडियो बातचीत                   | `space.fields`    |
| [सूची](#list)                | अकाउंट्स के चुने हुए संग्रह         | `list.fields`     |
| [मीडिया](#media)             | इमेज, वीडियो, GIF                   | `media.fields`    |
| [पोल](#poll)                 | पोल प्रश्न और विकल्प                | `poll.fields`     |
| [स्थान](#place)              | लोकेशन और जियो डेटा                 | `place.fields`    |

<Tip>
  विशिष्ट फ़ील्ड्स का अनुरोध करने के लिए [फ़ील्ड्स पैरामीटर](/hi/x-api/fundamentals/fields) का उपयोग करें, और संबंधित ऑब्जेक्ट शामिल करने के लिए [expansions](/hi/x-api/fundamentals/expansions) का उपयोग करें।
</Tip>

***

<div id="post-tweet">
  ## पोस्ट (Tweet)
</div>

पोस्ट्स, X पर सामग्री की मुख्य इकाई हैं। प्रत्येक पोस्ट ऑब्जेक्ट में टेक्स्ट, मेटाडेटा और लेखक, मीडिया तथा पोल जैसे संबंधित ऑब्जेक्ट्स के संदर्भ शामिल होते हैं।

**डिफ़ॉल्ट फ़ील्ड्स:** `id`, `text`, `edit_history_tweet_ids`

अतिरिक्त फ़ील्ड्स का अनुरोध करने के लिए `tweet.fields` का उपयोग करें और संबंधित ऑब्जेक्ट्स शामिल करने के लिए `expansions` का उपयोग करें।

<div id="all-post-fields">
  ### पोस्ट के सभी फ़ील्ड्स
</div>

| फ़ील्ड का मान                            | type              | विवरण                                                                                                                                                                                     | इसे कैसे इस्तेमाल किया जा सकता है                                                                         |
| :--------------------------------------- | :---------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :-------------------------------------------------------------------------------------------------------- |
| **id (डिफ़ॉल्ट)**                        | string            | अनुरोधित Tweet का अद्वितीय पहचानकर्ता।                                                                                                                                                    | किसी विशिष्ट Tweet को प्रोग्रामेटिक रूप से प्राप्त करने के लिए इसका उपयोग करें।                           |
| **text (डिफ़ॉल्ट)**                      | स्ट्रिंग          | Tweet का वास्तविक UTF-8 टेक्स्ट। मान्य वर्णों के बारे में जानकारी के लिए [twitter-text](https://github.com/twitter/twitter-text/) देखें।                                                  | कीवर्ड निष्कर्षण और भाव विश्लेषण/वर्गीकरण।                                                                |
| **edit\_history\_tweet\_ids (डिफ़ॉल्ट)** | ऑब्जेक्ट          | ऐसे अद्वितीय पहचानकर्ता जो किसी Tweet के सभी संस्करणों को दर्शाते हैं। जिन Tweets में कोई संपादन नहीं हुआ है, उनके लिए एक ID होगी। जिन Tweets का संपादन इतिहास है, उनके लिए कई IDs होंगी। | किसी Tweet का संपादन इतिहास पता लगाने के लिए इस जानकारी का उपयोग करें।                                    |
| **article**                              | ऑब्जेक्ट          | इस Tweet में मौजूद Article का मेटाडेटा शामिल है।                                                                                                                                          | किसी Article का टेक्स्ट और entities प्राप्त करने के लिए इसका उपयोग करें।                                  |
| **attachments**                          | object            | यह इस Tweet में मौजूद attachments के type (यदि कोई हों) को निर्दिष्ट करता है।                                                                                                             | अनुरोधित expansions के लिए लौटाए गए objects को समझने के लिए।                                              |
| **author\_id**                           | string            | इस Tweet को पोस्ट करने वाले यूज़र का अद्वितीय पहचानकर्ता।                                                                                                                                 | यूज़र ऑब्जेक्ट को हाइड्रेट करना, सहकर्मी समीक्षा के लिए डेटासेट साझा करना।                                |
| **card\_uri**                            | string            | इस Tweet में मौजूद Card का URI।                                                                                                                                                           |                                                                                                           |
| **community\_id**                        | string            | उस Community का अद्वितीय पहचानकर्ता, जिससे यह पोस्ट संबंधित है।                                                                                                                           |                                                                                                           |
| **context\_annotations**                 | array             | इसमें Tweet के संदर्भ एनोटेशन शामिल हैं।                                                                                                                                                  | इकाई पहचान/निष्कर्षण, विषयगत विश्लेषण।                                                                    |
| **conversation\_id**                     | string            | वार्तालाप के मूल Tweet की Tweet ID (जिसमें सीधे जवाब और जवाबों के जवाब शामिल हैं)।                                                                                                        | किसी Tweet से बातचीत को फिर से बनाने के लिए इसका उपयोग करें।                                              |
| **created\_at**                          | दिनांक (ISO 8601) | Tweet के बनाए जाने का समय।                                                                                                                                                                | समय-श्रृंखला विश्लेषण के लिए और यह समझने के लिए उपयोगी कि कोई Tweet कब बनाया गया था।                      |
| **display\_text\_range**                 | सरणी              | एक ऐसी सरणी, जिसमें प्रदर्शित होने वाले टेक्स्ट के हिस्से के लिए आरंभ और अंत इंडेक्स शामिल हैं।                                                                                           | यह जानने के लिए उपयोगी है कि लंबे पोस्ट्स में डिफ़ॉल्ट रूप से टेक्स्ट का कौन-सा हिस्सा प्रदर्शित होता है। |
| **edit\_controls**                       | ऑब्जेक्ट          | यह बताता है कि Tweet को और कितनी देर तक संपादित किया जा सकता है और कितने संपादन शेष हैं।                                                                                                  | यह निर्धारित करने के लिए इसका उपयोग करें कि कोई Tweet संपादन के योग्य है या नहीं।                         |
| **entities**                             | object            | Tweet के टेक्स्ट से पार्स की गई एंटिटीज़। Twitter Objects में entities देखें।                                                                                                             | हैशटैग, URL, उल्लेख आदि के बारे में अतिरिक्त जानकारी देता है।                                             |
| **geo**                                  | object            | जियो-टैग किए गए Tweet के स्थान को दर्शाता है।                                                                                                                                             | जियो-टैग किए गए Tweet का स्थान जानने के लिए इसका उपयोग करें।                                              |
| **in\_reply\_to\_user\_id**              | string            | यदि संबंधित Tweet एक उत्तर है, तो इस फ़ील्ड में मूल Tweet के लेखक की ID होगी।                                                                                                             | यह निर्धारित करें कि कोई Tweet किसी दूसरे Tweet के जवाब में था या नहीं।                                   |
| **lang**                                 | string            | अगर Twitter ने इसका पता लगाया है, तो Tweet की भाषा।                                                                                                                                       | बोली जाने वाली भाषा के आधार पर Tweets को वर्गीकृत करें।                                                   |
| **non\_public\_metrics**                 | object            | अनुरोध के समय Tweet के लिए गैर-सार्वजनिक एंगेजमेंट मेट्रिक्स। इसके लिए यूज़र कॉन्टेक्स्ट ऑथेंटिकेशन आवश्यक है।                                                                            | Tweet के लिए उत्पन्न कुल इम्प्रेशन्स निर्धारित करें।                                                      |
| **note\_tweet**                          | ऑब्जेक्ट          | लंबे-फ़ॉर्म पोस्ट्स (>280 वर्ण) के लिए पोस्ट का पूरा टेक्स्ट शामिल है।                                                                                                                    | किसी पोस्ट का पूरा टेक्स्ट प्राप्त करें।                                                                  |
| **organic\_metrics**                     | object            | अनुरोध के समय Tweet के लिए ऑर्गेनिक संदर्भ में ट्रैक किए गए एंगेजमेंट मेट्रिक्स। इसके लिए यूज़र कॉन्टेक्स्ट ऑथेंटिकेशन आवश्यक है।                                                         | Tweet के लिए ऑर्गेनिक एंगेजमेंट मापें।                                                                    |
| **possibly\_sensitive**                  | boolean           | यह दर्शाता है कि सामग्री को संभावित रूप से संवेदनशील माना जा सकता है या नहीं।                                                                                                             | कुछ प्रकार की सामग्री के प्रसार का अध्ययन करें।                                                           |
| **promoted\_metrics**                    | ऑब्जेक्ट          | अनुरोध के समय Tweet के लिए प्रचारित संदर्भ में ट्रैक किए गए एंगेजमेंट मेट्रिक्स। इसके लिए उपयोगकर्ता-संदर्भ प्रमाणीकरण आवश्यक है।                                                         | Tweet के प्रमोट किए जाने पर उसकी सहभागिता मापें।                                                          |
| **public\_metrics**                      | ऑब्जेक्ट          | अनुरोध के समय Tweet के लिए सार्वजनिक सहभागिता मेट्रिक्स।                                                                                                                                  | Tweet की सहभागिता मापें।                                                                                  |
| **referenced\_tweets**                   | ऐरे               | उन Tweets की सूची, जिनका संदर्भ यह Tweet देता है, जैसे Retweets, उद्धृत Tweets या जवाब.                                                                                                   | रेट्वीट आदि के संवाद-संबंधी पहलुओं को समझें.                                                              |
| **reply\_settings**                      | string            | यह दर्शाता है कि किसी दिए गए Tweet का जवाब कौन दे सकता है. विकल्प हैं "everyone", "mentioned\_users", और "followers".                                                                     | Tweet के लिए बातचीत के जवाब की सेटिंग तय करें।                                                            |
| **withheld**                             | ऑब्जेक्ट          | [रोकी गई सामग्री](https://help.x.com/en/rules-and-policies/tweet-withheld-by-country) से संबंधित रोक विवरण शामिल हैं।                                                                     |                                                                                                           |
| **scopes**                               | ऑब्जेक्ट          | Tweet के स्कोप का विवरण शामिल है।                                                                                                                                                         | यह बताता है कि पोस्ट को कौन देख सकता है। यह केवल प्रचारित पोस्ट्स के लिए लौटाया जाता है।                  |
| **media\_metadata**                      | array             | इसमें Tweet के मीडिया अटैचमेंट्स का मेटाडेटा शामिल है।                                                                                                                                    | किसी Tweet के मीडिया अटैचमेंट का `alt_text` जैसे अतिरिक्त मेटाडेटा प्राप्त करें.                          |

**Tweet ऑब्जेक्ट प्राप्त करना**

**नमूना अनुरोध**

निम्नलिखित अनुरोध में, हम [Tweets lookup](/hi/resources/fundamentals/rate-limits) endpoint पर Tweet के लिए फ़ील्ड्स का अनुरोध कर रहे हैं। `$BEARER_TOKEN` को अपने जनरेट किए गए [बेयरर टोकन](/hi/resources/fundamentals/authentication) से बदलना न भूलें।

```bash theme={null}
curl --request GET 'https://api.x.com/2/tweets?ids=1212092628029698048&tweet.fields=attachments,author_id,context_annotations,created_at,entities,geo,id,in_reply_to_user_id,lang,possibly_sensitive,public_metrics,referenced_tweets,text,withheld&expansions=referenced_tweets.id' --header 'Authorization: Bearer $BEARER_TOKEN'
```

**उदाहरण रिस्पॉन्स**

```
{
  "data": [
    {
      "text": "We believe the best future version of our API will come from building it with YOU. Here’s to another great year with everyone who builds on the Twitter platform. We can’t wait to continue working with you in the new year. https://t.co/yvxdK6aOo2",
      "edit_history_tweet_ids": [
        "1212092628029698048"
      ],
      "lang": "en",
      "in_reply_to_user_id": "2244994945",
      "entities": {
        "urls": [
          {
            "start": 222,
            "end": 245,
            "url": "https://t.co/yvxdK6aOo2",
            "expanded_url": "https://x.com/LovesNandos/status/1211797914437259264/photo/1",
            "display_url": "pic.x.com/yvxdK6aOo2",
            "media_key": "16_1211797899316740096"
          }
        ],
        "annotations": [
          {
            "start": 42,
            "end": 44,
            "probability": 0.5359,
            "type": "Other",
            "normalized_text": "API"
          },
          {
            "start": 144,
            "end": 150,
            "probability": 0.9832,
            "type": "Other",
            "normalized_text": "Twitter"
          }
        ]
      },
      "author_id": "2244994945",
      "referenced_tweets": [
        {
          "type": "replied_to",
          "id": "1212092627178287104"
        }
      ],
      "id": "1212092628029698048",
      "public_metrics": {
        "retweet_count": 7,
        "reply_count": 3,
        "like_count": 38,
        "quote_count": 1
      },
      "context_annotations": [
        {
          "domain": {
            "id": "29",
            "name": "Events [Entity Service]",
            "description": "Real world events. "
          },
          "entity": {
            "id": "1186637514896920576",
            "name": " New Years Eve"
          }
        },
        {
          "domain": {
            "id": "29",
            "name": "Events [Entity Service]",
            "description": "Real world events. "
          },
          "entity": {
            "id": "1206982436287963136",
            "name": "Happy New Year: It’s finally 2020 everywhere!",
            "description": "Catch fireworks and other celebrations as people across the globe enter the new year.\nPhoto via @GettyImages "
          }
        },
        {
          "domain": {
            "id": "119",
            "name": "Holiday",
            "description": "Holidays like Christmas or Halloween"
          },
          "entity": {
            "id": "1186637514896920576",
            "name": " New Years Eve"
          }
        },
        {
          "domain": {
            "id": "119",
            "name": "Holiday",
            "description": "Holidays like Christmas or Halloween"
          },
          "entity": {
            "id": "1206982436287963136",
            "name": "Happy New Year: It’s finally 2020 everywhere!",
            "description": "Catch fireworks and other celebrations as people across the globe enter the new year.\nPhoto via @GettyImages "
          }
        },
        {
          "domain": {
            "id": "30",
            "name": "Entities [Entity Service]",
            "description": "Entity Service top level domain, every item that is in Entity Service should be in this domain"
          },
          "entity": {
            "id": "781974596752842752",
            "name": "Services"
          }
        },
        {
          "domain": {
            "id": "47",
            "name": "Brand",
            "description": "Brands and Companies"
          },
          "entity": {
            "id": "10045225402",
            "name": "Twitter"
          }
        },
        {
          "domain": {
            "id": "131",
            "name": "Unified Twitter Taxonomy",
            "description": "A taxonomy of user interests. "
          },
          "entity": {
            "id": "10045225402",
            "name": "Twitter"
          }
        },
        {
          "domain": {
            "id": "131",
            "name": "Unified Twitter Taxonomy",
            "description": "A taxonomy of user interests. "
          },
          "entity": {
            "id": "847868745150119936",
            "name": "Family & relationships",
            "description": "Hobbies and interests"
          }
        },
        {
          "domain": {
            "id": "131",
            "name": "Unified Twitter Taxonomy",
            "description": "A taxonomy of user interests. "
          },
          "entity": {
            "id": "1196446161223028736",
            "name": "Social media"
          }
        },
        {
          "domain": {
            "id": "29",
            "name": "Events [Entity Service]",
            "description": "Real world events. "
          },
          "entity": {
            "id": "1206982436287963136",
            "name": "Happy New Year: It’s finally 2020 everywhere!",
            "description": "Catch fireworks and other celebrations as people across the globe enter the new year.\nPhoto via @GettyImages "
          }
        },
        {
          "domain": {
            "id": "119",
            "name": "Holiday",
            "description": "Holidays like Christmas or Halloween"
          },
          "entity": {
            "id": "1206982436287963136",
            "name": "Happy New Year: It’s finally 2020 everywhere!",
            "description": "Catch fireworks and other celebrations as people across the globe enter the new year.\nPhoto via @GettyImages "
          }
        }
      ],
      "created_at": "2019-12-31T19:26:16.000Z",
      "attachments": {
        "media_keys": [
          "16_1211797899316740096"
        ]
      },
      "possibly_sensitive": false
    }
  ],
  "includes": {
    "tweets": [
      {
        "text": "These launches would not be possible without the feedback you provided along the way, so THANK YOU to everyone who has contributed your time and ideas. Have more feedback? Let us know ⬇️ https://t.co/Vxp4UKnuJ9",
        "edit_history_tweet_ids": [
          "1212092627178287104"
        ],
        "lang": "en",
        "in_reply_to_user_id": "2244994945",
        "entities": {
          "urls": [
            {
              "start": 187,
              "end": 210,
              "url": "https://t.co/Vxp4UKnuJ9",
              "expanded_url": "https://twitterdevfeedback.uservoice.com/forums/921790-twitter-developer-labs",
              "display_url": "twitterdevfeedback.uservoice.com/forums/921790-…",
              "status": 200,
              "title": "Updates on our feedback channels",
              "description": "We build our developer platform in the open, with your input and feedback. Over the past year, hearing directly from you and the users of your apps has helped us build developer products that cater to the use case you helped us identify. We want to make this the way we build products, and moving forward, we are consolidating our feedback channels. Meeting you where you are Effective today, we are going to retire our UserVoice feedback channel in favor of more frequent direct engagements with y...",
              "unwound_url": "https://devcommunity.x.com/t/updates-on-our-feedback-channels/169706"
            }
          ]
        },
        "author_id": "2244994945",
        "referenced_tweets": [
          {
            "type": "replied_to",
            "id": "1212092626247110657"
          }
        ],
        "id": "1212092627178287104",
        "public_metrics": {
          "retweet_count": 2,
          "reply_count": 1,
          "like_count": 19,
          "quote_count": 0
        },
        "created_at": "2019-12-31T19:26:16.000Z",
        "possibly_sensitive": false
      }
    ]
  }
```

<div id="user">
  ### User
</div>

user ऑब्जेक्ट में संदर्भित उपयोगकर्ता का वर्णन करने वाला Twitter उपयोगकर्ता खाते से संबंधित मेटाडेटा होता है। user ऑब्जेक्ट [users lookup](/hi/x-api/users/lookup/introduction) एंडपॉइंट से लौटाया जाने वाला प्राथमिक ऑब्जेक्ट है। इस एंडपॉइंट पर अतिरिक्त उपयोगकर्ता फ़ील्ड्स का अनुरोध करते समय, बस फ़ील्ड्स पैरामीटर `user.fields` का उपयोग करें।

user ऑब्जेक्ट Tweet ऑब्जेक्ट में एक चाइल्ड ऑब्जेक्ट के रूप में भी मिल सकता है और इसे expand भी किया जा सकता है। केवल डिफ़ॉल्ट फ़ील्ड्स वाला संक्षिप्त ऑब्जेक्ट पाने के लिए, यह ऑब्जेक्ट `?expansions=author_id` या `?expansions=in_reply_to_user_id` के साथ expansion के लिए उपलब्ध है। ऑब्जेक्ट को पूरा करने के लिए अतिरिक्त फ़ील्ड्स का अनुरोध करते समय, फ़ील्ड्स पैरामीटर `user.fields` के साथ expansion का उपयोग करें।
 

| फ़ील्ड मान                 | Type              | विवरण                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | इसका उपयोग कैसे किया जा सकता है                                                                                                                                                                                                                                                                                     |
| :------------------------- | :---------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| id (डिफ़ॉल्ट)              | string            | इस उपयोगकर्ता की विशिष्ट पहचान।<br /><br />`"id": "2244994945"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | किसी विशिष्ट Twitter उपयोगकर्ता के बारे में जानकारी प्रोग्राम के माध्यम से प्राप्त करने के लिए इसका उपयोग करें।                                                                                                                                                                                                     |
| नाम (डिफ़ॉल्ट)             | स्ट्रिंग          | उपयोगकर्ता का वह नाम, जैसा उन्होंने अपनी प्रोफ़ाइल पर तय किया है। यह ज़रूरी नहीं कि वह किसी व्यक्ति का वास्तविक नाम ही हो। आम तौर पर यह 50 वर्णों तक सीमित होता है, लेकिन इसमें बदलाव हो सकता है।<br /><br />`"name": "Twitter Dev"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |                                                                                                                                                                                                                                                                                                                     |
| यूज़रनेम (डिफ़ॉल्ट)        | स्ट्रिंग          | इस उपयोगकर्ता का Twitter screen name, handle या alias, जिससे वह अपनी पहचान बताता है। यूज़रनेम अद्वितीय होते हैं, लेकिन समय के साथ बदल सकते हैं। आम तौर पर इनकी अधिकतम लंबाई 15 वर्ण होती है, लेकिन कुछ पुराने खातों में इससे लंबे नाम भी मिल सकते हैं।<br /><br />`"username": "TwitterDev"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |                                                                                                                                                                                                                                                                                                                     |
| affiliation                | object            | इसमें उपयोगकर्ता की संबद्धता का विवरण होता है।                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | इसका उपयोग उपयोगकर्ता का अफ़िलिएट बैज प्राप्त करने के लिए किया जा सकता है।                                                                                                                                                                                                                                          |
| confirmed\_email           | string            | प्रमाणीकृत उपयोगकर्ता का पुष्टि किया गया ईमेल पता।                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                                                                                                                                     |
| connection\_status         | ऐरे               | प्रमाणित उपयोगकर्ता और देखे जा रहे उपयोगकर्ता के बीच संबंधों की एक सूची प्रदान करता है, जैसे फ़ॉलो करना, फ़ॉलो किया जाना, फ़ॉलो अनुरोध भेजा गया, फ़ॉलो अनुरोध प्राप्त हुआ, ब्लॉक करना, म्यूट करना<br /><br />"connection\_status": \[  <br />           "follow\_request\_received",  <br />           "follow\_request\_sent",  <br />           "blocking",  <br />           "followed\_by",  <br />           "following",  <br />           "muting"  <br />]                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | प्रमाणीकृत उपयोगकर्ता और जिस उपयोगकर्ता को खोजा जा रहा है, उनके बीच कनेक्शन की स्थिति निर्धारित करने के लिए इसका उपयोग किया जा सकता है।                                                                                                                                                                             |
| created\_at                | दिनांक (ISO 8601) | UTC दिनांक-समय, जब उपयोगकर्ता का खाता Twitter पर बनाया गया था।<br /><br />`"created_at": "2013-12-14T04:35:55.000Z"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                | इसका उपयोग यह निर्धारित करने के लिए किया जा सकता है कि कोई व्यक्ति Twitter का उपयोग कितने समय से कर रहा है                                                                                                                                                                                                          |
| विवरण                      | स्ट्रिंग          | इस उपयोगकर्ता की प्रोफ़ाइल के विवरण का टेक्स्ट (जिसे bio भी कहा जाता है), अगर उपयोगकर्ता ने इसे दिया हो।<br /><br />`"description": "The voice of the X Dev team and your official source for updates, news, and events, related to the X API."`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                                                                     |
| entities                   | ऑब्जेक्ट          | उपयोगकर्ता के विवरण में ऐसे टेक्स्ट का विवरण शामिल है जिसका एक विशेष अर्थ होता है।<br /><br />`"entities": {  <br/>       "url": {  <br/>           "urls": [  <br/>               {  <br/>                   "start": 0,  <br/>                   "end": 23,  <br/>                   "url": "https://t.co/3ZX3TNiZCY",  <br/>                   "expanded_url": "/content/developer-twitter/en/community",  <br/>                   "display_url": "developer.x.com/en/community"  <br/>               }  <br/>           ]  <br/>       },  <br/>       "description": {  <br/>           "urls": [  <br/>               {  <br/>                   "start": 0,  <br/>                   "end": 23,  <br/>                   "url": "https://t.co/3ZX3TNiZCY",  <br/>                   "expanded_url": "/content/developer-twitter/en/community",  <br/>                   "display_url": "developer.x.com/en/community"  <br/>               },  <br/>           "hashtags": [  <br/>               {  <br/>                   "start": 23,  <br/>                   "end": 30,  <br/>                   "tag": "DevRel"  <br/>               },  <br/>               {  <br/>                   "start": 113,  <br/>                   "end": 130,  <br/>                   "tag": "BlackLivesMatter"  <br/>               },  <br/>           "mentions": [  <br/>               {  <br/>                   "start": 0,  <br/>                   "end": 10,  <br/>                   "tag": "TwitterDev"  <br/>               },  <br/>           "cashtags": [  <br/>               {  <br/>                   "start": 12,  <br/>                   "end": 16,  <br/>                   "tag": "twtr"  <br/>               }  <br/>           ]  <br/>       }  <br/>   }` | एंटिटीज़ JSON ऑब्जेक्ट होते हैं, जो description से जुड़े hashtags, urls, user mentions, और cashtags के बारे में अतिरिक्त जानकारी देते हैं। अधिक जानकारी के लिए प्रत्येक संबंधित entity का संदर्भ लें।<br /><br />सभी user ******start****** indices समावेशी हैं, जबकि सभी user ******end****** indices अपवर्जी हैं। |
| is\_identity\_verified     | boolean           | यह इंगित करता है कि उपयोगकर्ता की ID सत्यापित है या नहीं।                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |                                                                                                                                                                                                                                                                                                                     |
| location                   | string            | यदि उपयोगकर्ता ने अपनी प्रोफ़ाइल में कोई स्थान दिया है, तो वही यहाँ दिखता है। चूँकि यह एक मुक्त-रूप मान है, यह ज़रूरी नहीं कि किसी मान्य स्थान को दर्शाए, लेकिन स्थान क्वेरी के साथ खोज करते समय इसका अनुमानित मिलान के आधार पर मूल्यांकन किया जा सकता है।<br /><br />`"location": "127.0.0.1"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |                                                                                                                                                                                                                                                                                                                     |
| most\_recent\_tweet\_id    | string            | इस उपयोगकर्ता के सबसे हालिया Tweet का अद्वितीय पहचानकर्ता।                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | उपयोगकर्ता के सबसे हालिया Tweet की पहचान करें।                                                                                                                                                                                                                                                                      |
| parody                     | boolean           | यह बताता है कि इस उपयोगकर्ता खाते पर Parody लेबल है या नहीं।                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |                                                                                                                                                                                                                                                                                                                     |
| pinned\_tweet\_id          | string            | इस उपयोगकर्ता के पिन किए गए Tweet की अद्वितीय पहचान।<br /><br />`"pinned_tweet_id": "1255542774432063488"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | उपयोगकर्ता की प्रोफ़ाइल के शीर्ष पर पिन किए गए Tweet की पहचान करें। संभावित रूप से इसका उपयोग उपयोगकर्ता की भाषा निर्धारित करने के लिए भी किया जा सकता है।                                                                                                                                                          |
| profile\_banner\_url       | string            | इस उपयोगकर्ता की प्रोफ़ाइल पर दिखने वाले प्रोफ़ाइल बैनर का URL।<br /><br />`"profile_banner_url": "https://pbs.twimg.com/profile_banners/1716450569358098432/1721022977"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | इस उपयोगकर्ता की प्रोफ़ाइल बैनर छवि डाउनलोड करने के लिए इसका उपयोग किया जा सकता है।                                                                                                                                                                                                                                 |
| profile\_image\_url        | string            | इस उपयोगकर्ता की प्रोफ़ाइल छवि का URL, जैसा कि उसकी प्रोफ़ाइल पर दिखाया जाता है।<br /><br />`"profile_image_url": "https://pbs.twimg.com/profile_images/1267175364003901441/tBZNFAgA_normal.jpg"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | इस उपयोगकर्ता की प्रोफ़ाइल इमेज डाउनलोड करने के लिए इसका उपयोग किया जा सकता है।                                                                                                                                                                                                                                     |
| protected                  | boolean           | यह बताता है कि क्या इस उपयोगकर्ता ने अपने Tweets को सुरक्षित रखा है (अर्थात, क्या इस उपयोगकर्ता के Tweets निजी हैं)।<br /><br />`"protected": false`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |                                                                                                                                                                                                                                                                                                                     |
| public\_metrics            | object            | इस उपयोगकर्ता की गतिविधि का विवरण शामिल है।<br /><br />`"public_metrics": {             "followers_count": 507902,             "following_count": 1863,             "tweet_count": 3561,             "listed_count": 1550         }`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                | इसका संभावित रूप से उपयोग किसी Twitter उपयोगकर्ता की पहुँच या प्रभाव का निर्धारण करने, उसकी रुचियों के दायरे का आकलन करने, और Twitter पर उसकी सहभागिता के स्तर को मापने के लिए किया जा सकता है।                                                                                                                     |
| receives\_your\_dm         | बूलियन            | यह दर्शाता है कि यह उपयोगकर्ता प्रमाणीकृत उपयोगकर्ता का DM प्राप्त करेगा या नहीं।                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |                                                                                                                                                                                                                                                                                                                     |
| subscription               | object            | इसमें इस बारे में विवरण शामिल है कि उपयोगकर्ता ने प्रमाणीकृत उपयोगकर्ता की सदस्यता ली है या नहीं।                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |                                                                                                                                                                                                                                                                                                                     |
| subscription\_type         | string            | एक स्ट्रिंग, जो प्रमाणीकृत उपयोगकर्ता के पास मौजूद X Premium सदस्यता के type को दर्शाती है। उदाहरण: `None`, `Basic`, `Premium`,`PremiumPlus`। यदि उपयोगकर्ता प्रमाणीकृत उपयोगकर्ता नहीं है, तो यह हमेशा `None` लौटाएगा।                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |                                                                                                                                                                                                                                                                                                                     |
| url                        | string            | उपयोगकर्ता की प्रोफ़ाइल में दिया गया URL, यदि उपलब्ध हो।<br /><br />`"url": "https://t.co/3ZX3TNiZCY"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              | Twitter उपयोगकर्ता द्वारा अपनी प्रोफ़ाइल में दिया गया URL। यह होमपेज हो सकता है, लेकिन ज़रूरी नहीं कि हमेशा ऐसा ही हो।                                                                                                                                                                                              |
| verified                   | बूलियन            | यह दर्शाता है कि यह उपयोगकर्ता एक सत्यापित Twitter उपयोगकर्ता है या नहीं।<br /><br />`"verified": true`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | यह दर्शाता है कि इस Twitter उपयोगकर्ता का खाता सत्यापित है या नहीं। सत्यापित खाता लोगों को यह समझने में मदद करता है कि सार्वजनिक रुचि वाला खाता प्रामाणिक है।                                                                                                                                                       |
| verified\_followers\_count | स्ट्रिंग          | उपयोगकर्ता के सत्यापित फ़ॉलोअर्स की संख्या को दर्शाने वाली एक स्ट्रिंग।                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |                                                                                                                                                                                                                                                                                                                     |
| verified\_type             | string            | उपयोगकर्ता के सत्यापन के प्रकार को दर्शाने वाली एक string। उदाहरण: "blue", "business", "government"                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |                                                                                                                                                                                                                                                                                                                     |
| withheld                   | object            | यदि लागू हो, तो [रोकी गई सामग्री](https://help.x.com/en/rules-and-policies/tweet-withheld-by-country) से संबंधित विवरण शामिल हैं।                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |                                                                                                                                                                                                                                                                                                                     |

**उपयोगकर्ता ऑब्जेक्ट प्राप्त करना**

**नमूना अनुरोध**

निम्नलिखित अनुरोध में, हम [users lookup](/hi/x-api/users/lookup/introduction) एंडपॉइंट पर उपयोगकर्ता के लिए फ़ील्ड्स का अनुरोध कर रहे हैं। सुनिश्चित करें कि आप `$BEARER_TOKEN` को अपने द्वारा जनरेट किए गए [बेयरर टोकन](/hi/resources/fundamentals/authentication#using-and-generating-an-app-only-bearer-token) से बदलें।
 

```{ theme={null}
  curl --request GET 'https://api.x.com/2/users?
  ids=2244994945&user.fields=created_at,description,entities,id,location,name,pinned_tweet_id,profile_image_url,protected,url,username,verified,withheld&expansions=pinned_tweet_id'
  --header 'Authorization: Bearer $BEARER_TOKEN'
  }
```

**नमूना रिस्पॉन्स**

```{ theme={null}
    "data": [
        {
            "id": "2244994945",
            "name": "Twitter Dev",
            "username": "TwitterDev",
            "location": "127.0.0.1",
            "entities": {
                "url": {
                    "urls": [
                        {
                            "start": 0,
                            "end": 23,
                            "url": "https://t.co/3ZX3TNiZCY",
                            "expanded_url": "/content/developer-twitter/en/community",
                            "display_url": "developer.x.com/en/community"
                        }
                    ]
                },
                "description": {
                    "hashtags": [
                        {
                            "start": 23,
                            "end": 30,
                            "tag": "DevRel"
                        },
                        {
                            "start": 113,
                            "end": 130,
                            "tag": "BlackLivesMatter"
                        }
                    ]
                }
            },
            "verified": true,
            "description": "Twitter के #DevRel टीम की आवाज़, और Twitter के API के बारे में अपडेट, समाचार और इवेंट के लिए आपका आधिकारिक स्रोत। \n\n#BlackLivesMatter",
            "url": "https://t.co/3ZX3TNiZCY",
            "profile_image_url": "https://pbs.twimg.com/profile_images/1267175364003901441/tBZNFAgA_normal.jpg",
            "protected": false,
            "pinned_tweet_id": "1255542774432063488",
            "created_at": "2013-12-14T04:35:55.000Z"
        }
    ],
    "includes": {
        "tweets": [
            {
                "id": "1255542774432063488",
                "text": "इन अभूतपूर्व समयों में, Twitter पर जो हो रहा है वह दुनिया को महामारी को बेहतर ढंग से समझने &amp; उसका जवाब देने में मदद कर सकता है। \n\nहम एक मुफ्त COVID-19 स्ट्रीम एंडपॉइंट लॉन्च कर रहे हैं ताकि योग्य डेवलपर &amp; शोधकर्ता वास्तविक समय में सार्वजनिक बातचीत का अध्ययन कर सकें। https://t.co/BPqMcQzhId"
            }
        ]
    }
}
```

<div id="space">
  ### Space
</div>

Spaces, लाइव ऑडियो बातचीत के ज़रिए अभिव्यक्ति और सहभागिता की सुविधा देते हैं। Space डेटा डिक्शनरी में किसी Space से जुड़ा प्रासंगिक मेटाडेटा शामिल होता है; सभी विवरण रीयल टाइम में अपडेट होते रहते हैं।

User ऑब्जेक्ट user resource में मिल सकते हैं और उन्हें expand किया जा सकता है। इन ऑब्जेक्ट्स को `expansions` query parameter में `host_ids`, `creator_id`, `speaker_ids`, `mentioned_user_ids` में से कम-से-कम एक जोड़कर expansion के लिए उपलब्ध कराया जा सकता है।

Tweets के विपरीत, Spaces अस्थायी होते हैं और उनके समाप्त होने के बाद या उनके creator द्वारा रद्द किए जाने पर उपलब्ध नहीं रहते। जब आपका ऐप Spaces डेटा को हैंडल करता है, तो सबसे अद्यतित जानकारी लौटाना आपकी ज़िम्मेदारी होती है और जो डेटा अब प्लेटफ़ॉर्म पर उपलब्ध नहीं है, उसे हटाना भी ज़रूरी है। [Spaces lookup endpoints](/hi/x-api/spaces/lookup/introduction) यह सुनिश्चित करने में आपकी मदद कर सकते हैं कि आप उपयोगकर्ताओं की अपेक्षाओं और मंशा का सम्मान करें।

| Field Value        | Type            | Description                                                                                         | How it can be used                                             |
| :----------------- | :-------------- | :-------------------------------------------------------------------------------------------------- | :------------------------------------------------------------- |
| id (default)       | string          | अनुरोधित Space का अद्वितीय पहचानकर्ता।<br />`"id": "1zqKVXPQhvZJB"`                                 | रिस्पॉन्स में लौटाए गए Space की विशिष्ट पहचान करें।            |
| state (default)    | string          | यह बताता है कि Space शुरू हो चुका है, शुरू होगा, या समाप्त हो चुका है।<br />`"state": "live"`       | लाइव या शेड्यूल किए गए Spaces को फ़िल्टर करें।                 |
| created\_at        | date (ISO 8601) | इस Space के बनाए जाने का समय।<br />`"created_at": "2021-07-04T23:12:08.000Z"`                       | समझें कि Space कब बनाया गया था और समय के अनुसार क्रमबद्ध करें। |
| creator\_id        | string          | Space creator का अद्वितीय पहचानकर्ता।<br />`"creator_id": "2244994945"`                             |                                                                |
| ended\_at          | date (ISO 8601) | यदि लागू हो, तो वह समय जब Space समाप्त हुआ।<br />`"ended_at": "2021-07-04T00:11:44.000Z"`           | अवधि जानने के लिए निर्धारित करें कि लाइव Space कब समाप्त हुआ।  |
| host\_ids          | array           | Space hosts के अद्वितीय पहचानकर्ता।<br />`"host_ids": ["2244994945", "6253282"]`                    | User ऑब्जेक्ट्स expand करें, सहभागिता समझें।                   |
| lang               | string          | यदि पता चल सके, तो Space की भाषा।<br />`"lang": "en"`                                               | Spaces को भाषा के आधार पर वर्गीकृत करें।                       |
| is\_ticketed       | boolean         | यह बताता है कि क्या यह टिकट वाला Space है।<br />`"is_ticketed": false`                              | रुचिकर सामग्री को प्रमुखता दें।                                |
| invited\_user\_ids | array           | speakers के रूप में आमंत्रित user IDs की सूची।<br />`"invited_user_ids": ["2244994945", "6253282"]` | User ऑब्जेक्ट्स expand करें, सहभागिता समझें।                   |
| participant\_count | integer         | Space में users की संख्या, जिसमें Hosts और Speakers शामिल हैं।<br />`"participant_count": 420`      | सहभागिता समझें, रिपोर्ट बनाएँ।                                 |
| subscriber\_count  | integer         | उन लोगों की संख्या जिन्होंने Space के लिए रिमाइंडर सेट किया।<br />`"subscriber_count": 36`          | इवेंट में रुचि समझें।                                          |
| scheduled\_start   | date (ISO 8601) | Space का निर्धारित शुरू होने का समय।<br />`"scheduled_start": "2021-07-14T08:00:00.000Z"`           | कैलेंडर सूचनाओं के साथ एकीकृत करें।                            |
| speaker\_ids       | array           | उन users की सूची जिन्होंने किसी भी समय बात की।<br />`"speaker_ids": ["2244994945", "6253282"]`      | User ऑब्जेक्ट्स expand करें, सहभागिता समझें।                   |
| started\_at        | date (ISO 8601) | Space का वास्तविक शुरू होने का समय।<br />`"started_at": "2021-07-14T08:00:12.000Z"`                 | Space के शुरू होने का समय निर्धारित करें।                      |
| title              | string          | Space का शीर्षक।<br />`"title": "Say hello to the Space data object!"`                              | कीवर्ड, hashtags, mentions समझें।                              |
| topic\_ids         | array           | Space creator द्वारा चुने गए topics की IDs।<br />`"topic_ids": ["2244994945", "6253282"]`           | कीवर्ड, hashtags, mentions समझें।                              |
| updated\_at        | date (ISO 8601) | Space metadata का सबसे हाल का अपडेट।<br />`"updated_at": "2021-07-11T14:44:44.000Z"`                | जानकारी को अद्यतित रखें।                                       |

\*\*Space ऑब्जेक्ट प्राप्त करना \*\*

**नमूना अनुरोध**

निम्नलिखित अनुरोध में, हम [Spaces lookup endpoint](/hi/x-api/spaces/lookup/introduction) पर Space के लिए फ़ील्ड्स का अनुरोध कर रहे हैं। `$BEARER_TOKEN` को अपने जनरेट किए गए [बेयरर टोकन](/hi/resources/fundamentals/authentication#using-and-generating-an-app-only-bearer-token) से बदलना न भूलें।

```bash theme={null}
curl "https://api.x.com/2/spaces/1DXxyRYNejbKM?space.fields=created_at,creator_id,created_athost_ids,lang,is_ticketed,invited_user_ids,participant_count,scheduled_start,speaker_ids,started_at,state,title,updated_at&expansions=creator_id,host_ids,invited_user_ids,speaker_ids" --header "Authorization: Bearer $BEARER_TOKEN"
```

\*\* उदाहरण रिस्पॉन्स \*\*

```
{
  "data": {
    "id": "1zqKVXPQhvZJB",
    "state": "live",
    "created_at": "2021-07-04T23:12:08.000Z",
    "host_ids": [
      "2244994945",
      "6253282"
    ],
    "lang": "en",
    "is_ticketed": false,
    "invited_user_ids": [
      "2244994945",
      "6253282"
    ],
    "participant_count": 420,
    "scheduled_start": "2021-07-14T08:00:00.000Z",
    "speaker_ids": [
      "2244994945",
      "6253282"
    ],
    "started_at": "2021-07-14T08:00:12.000Z",
    "title": "Say hello to the Space data object!",
    "updated_at": "2021-07-11T14:44:44.000Z"
  },
  "includes": {
    "users": [
      {
        "id": "2244994945",
        "name": "Twitter Dev",
        "username": "TwitterDev"
      },
      {
        "id": "6253282",
        "name": "Twitter API",
        "username": "TwitterAPI"
      }
    ]
  }
}
```

<div id="list">
  ### सूची
</div>

सूची ऑब्जेक्ट में संदर्भित सूची का वर्णन करने वाला [Twitter Lists](https://help.x.com/en/using-twitter/twitter-lists) मेटाडेटा शामिल होता है। सूची ऑब्जेक्ट, सूची lookup endpoint द्वारा लौटाया जाने वाला प्राथमिक ऑब्जेक्ट है। इस endpoint पर अतिरिक्त सूची फ़ील्ड्स का अनुरोध करते समय, बस फ़ील्ड्स पैरामीटर `list.fields` का उपयोग करें।

सूची ऑब्जेक्ट अन्य डेटा ऑब्जेक्ट्स के child के रूप में नहीं मिलता। हालांकि, user ऑब्जेक्ट्स user resource में मिल सकते हैं और उन्हें expand किया जा सकता है। ये ऑब्जेक्ट्स, `expansions` query parameter में `owner_id` जोड़कर expansion के लिए उपलब्ध हो जाते हैं। प्राथमिक सूची ऑब्जेक्ट को पूरा करने के लिए अतिरिक्त फ़ील्ड्स का अनुरोध करते समय, इस expansion का उपयोग `list.fields` फ़ील्ड्स पैरामीटर के साथ करें, और expansion ऑब्जेक्ट को पूरा करने के लिए `user.fields` का उपयोग करें।

| Field Value     | Type            | Description                                                                                                                                                            | How it can be used                                                                                                                           |
| :-------------- | :-------------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------------------------- |
| id (default)    | string          | इस सूची का अद्वितीय पहचानकर्ता।<br />`"id": "2244994945"`                                                                                                              | किसी विशिष्ट सूची के बारे में प्रोग्राम के माध्यम से जानकारी प्राप्त करने के लिए इसका उपयोग करें।                                            |
| name (default)  | string          | सूची का नाम, जैसा कि सूची बनाते समय निर्धारित किया गया था।<br />`"name": "Twitter Lists"`                                                                              |                                                                                                                                              |
| created\_at     | date (ISO 8601) | वह UTC datetime जब सूची बनाई गई थी।<br />`"created_at": "2013-12-14T04:35:55.000Z"`                                                                                    | यह निर्धारित करें कि कोई सूची Twitter पर कब से मौजूद है।                                                                                     |
| description     | string          | उपयोगकर्ताओं को सूची के बारे में बताने के लिए एक संक्षिप्त विवरण।<br />`"description": "People that are active members of the Bay area cycling community on Twitter."` |                                                                                                                                              |
| follower\_count | integer         | यह दिखाता है कि इस सूची को कितने उपयोगकर्ता फ़ॉलो करते हैं।<br />`"follower_count": 198`                                                                               |                                                                                                                                              |
| member\_count   | integer         | यह दिखाता है कि इस सूची में कितने सदस्य हैं।<br />`"member_count": 60`                                                                                                 |                                                                                                                                              |
| private         | boolean         | यह बताता है कि सूची निजी है या नहीं।<br />`"private": false`                                                                                                           |                                                                                                                                              |
| owner\_id       | string          | इस सूची के स्वामी का अद्वितीय पहचानकर्ता।<br />`"owner_id": "1255542774432063488"`                                                                                     | इसका उपयोग यह पता लगाने के लिए किया जा सकता है कि क्या यह उपयोगकर्ता अन्य सूचियों का स्वामी है, और User ऑब्जेक्ट्स को expand करने के लिए भी। |

**User ऑब्जेक्ट प्राप्त करना**

**नमूना अनुरोध**

निम्नलिखित अनुरोध में, हम [सूची lookup by ID](/hi/x-api/lists/list-lookup/introduction) endpoint पर user के लिए फ़ील्ड्स का अनुरोध कर रहे हैं। `$BEARER_TOKEN` को अपने जनरेट किए गए [बेयरर टोकन](/hi/resources/fundamentals/authentication#bearer-token-also-known-as-app-only) से बदलें।

```bash theme={null}
curl --request GET 'https://api.x.com/2/lists/1355797419175383040?list.fields=created_at,description,private,follower_count,member_count,owner_id&expansions=owner_id' --header 'Authorization: Bearer $BEARER_TOKEN'
```

\*\* उदाहरण रिस्पॉन्स\*\*

```
{
  "data": {
    "name": "Twitter Comms",
    "member_count": 60,
    "id": "1355797419175383040",
    "private": false,
    "description": "",
    "follower_count": 198,
    "owner_id": "257366942",
    "created_at": "2021-01-31T08:37:48.000Z"
  },
  "includes": {
    "users": [
      {
        "created_at": "2011-02-25T07:51:26.000Z",
        "name": "Ashleigh Hay 🤸🏼‍♀️",
        "id": "257366942",
        "username": "shleighhay",
        "verified": false
      }
    ]
  }
}
```

<div id="media">
  ### मीडिया
</div>

मीडिया से आशय किसी Tweet से संलग्न किसी भी इमेज, GIF या वीडियो से है। मीडिया ऑब्जेक्ट किसी भी endpoint पर प्राथमिक ऑब्जेक्ट नहीं होता, लेकिन इसे Tweet ऑब्जेक्ट में पाया जा सकता है और विस्तारित किया जा सकता है। केवल डिफ़ॉल्ट फ़ील्ड्स वाले संक्षिप्त ऑब्जेक्ट को पाने के लिए यह ऑब्जेक्ट `?expansions=attachments.media_keys` के साथ expansion के लिए उपलब्ध है। ऑब्जेक्ट को पूरा करने के लिए अतिरिक्त फ़ील्ड्स का अनुरोध करते समय फ़ील्ड पैरामीटर `media.fields` के साथ expansion का उपयोग करें।

| Field value          | Type    | Description                                                                                                                                                                                                                                                                                                                        | How it can be used                                                                                       |
| :------------------- | :------ | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------- |
| media\_key (default) | string  | विस्तारित मीडिया सामग्री का अद्वितीय identifier। <br /> ` "media_key": "13_1263145212760805376"`                                                                                                                                                                                                                                   | मीडिया को प्रोग्राम के माध्यम से प्राप्त करने के लिए उपयोग किया जा सकता है                               |
| type (default)       | string  | सामग्री का प्रकार (animated\_gif, photo, video)। <br /> ` "type": "video"`                                                                                                                                                                                                                                                         | मीडिया को photo, GIF या video के रूप में वर्गीकृत करें                                                   |
| url                  | string  | Twitter पर मीडिया फ़ाइल का सीधा URL।                                                                                                                                                                                                                                                                                               | photos के लिए URL फ़ील्ड के साथ एक Media ऑब्जेक्ट लौटाता है                                              |
| duration\_ms         | integer | जब type video हो, तब उपलब्ध। वीडियो की अवधि milliseconds में। <br /> ` "duration_ms": 46947`                                                                                                                                                                                                                                       |                                                                                                          |
| height               | integer | pixels में इस सामग्री की ऊँचाई। <br /> ` "height": 1080`                                                                                                                                                                                                                                                                           |                                                                                                          |
| non\_public\_metrics | object  | अनुरोध के समय मीडिया सामग्री के लिए गैर-सार्वजनिक engagement metrics। user context authentication आवश्यक है। <br /> ` "non_public_metrics": { "playback_0_count": 1561, "playback_100_count": 116, "playback_25_count": 559, "playback_50_count": 305, "playback_75_count": 183,}`                                                 | वीडियो engagement निर्धारित करें: कितने उपयोगकर्ताओं ने वीडियो के प्रत्येक चौथाई हिस्से तक उसे चलाया।    |
| organic\_metrics     | object  | अनुरोध के समय मीडिया सामग्री के लिए engagement metrics, जिन्हें organic context में track किया गया है। user context authentication आवश्यक है। <br /> ` "organic_metrics": { "playback_0_count": 1561, "playback_100_count": 116, "playback_25_count": 559, "playback_50_count": 305, "playback_75_count": 183, "view_count": 629}` | organic मीडिया engagement निर्धारित करें।                                                                |
[...]
